Bug 741719 - nsiswrapper don't works with Qt
Summary: nsiswrapper don't works with Qt
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw32-nsiswrapper
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-27 18:18 UTC by Ivan Romanov
Modified: 2011-10-18 22:20 UTC (History)
1 user (show)

Fixed In Version: mingw32-nsiswrapper-8-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-17 00:45:37 UTC
Type: ---


Attachments (Terms of Use)
Patch to fix this problem (460 bytes, patch)
2011-09-28 03:59 UTC, Ivan Romanov
no flags Details | Diff

Description Ivan Romanov 2011-09-27 18:18:22 UTC
nsiswrapper works only with lower-case libraries name. Have a look at 451 line of /usr/bin/nsiswrapper. But it don't works with Qt libraries which have names 
Qt*4.dll. Can you make exeption for names starting with Qt and don't proccessing its with lc function?

Comment 1 Richard W.M. Jones 2011-09-27 18:30:04 UTC
Ivan, do you have a suggested patch?  Can you also apply for
commit access to the Fedora package, since I think it'll be
simpler if we look at your patch and after acking it you can
apply it.

Comment 2 Ivan Romanov 2011-09-27 18:53:45 UTC
Hm... I think that such patch is very easy but I never working with Perl. I don't know this language.

Comment 3 Ivan Romanov 2011-09-28 03:59:01 UTC
Created attachment 525259 [details]
Patch to fix this problem

Is it good?

Comment 4 Richard W.M. Jones 2011-09-28 08:29:55 UTC
It's a hack, but I can't see a better way to do it, so ACK.

Comment 5 Richard W.M. Jones 2011-09-28 08:33:32 UTC
I've pushed a new build containing this patch into Rawhide.

Comment 6 Ivan Romanov 2011-10-07 04:46:12 UTC
I tested it. All ok.

Comment 7 Fedora Update System 2011-10-07 15:26:18 UTC
mingw32-nsiswrapper-8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mingw32-nsiswrapper-8-1.fc16

Comment 8 Fedora Update System 2011-10-07 15:28:31 UTC
mingw32-nsiswrapper-8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mingw32-nsiswrapper-8-1.fc15

Comment 9 Fedora Update System 2011-10-07 15:29:44 UTC
mingw32-nsiswrapper-8-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/mingw32-nsiswrapper-8-1.fc14

Comment 10 Fedora Update System 2011-10-08 23:33:53 UTC
Package mingw32-nsiswrapper-8-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mingw32-nsiswrapper-8-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-13959
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-10-17 00:45:37 UTC
mingw32-nsiswrapper-8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-10-18 22:13:26 UTC
mingw32-nsiswrapper-8-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-10-18 22:20:56 UTC
mingw32-nsiswrapper-8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.